> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all voices for the current organization



## OpenAPI

````yaml https://api.callers.ai/openapi-json get /voices
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /voices:
    get:
      tags:
        - Voices
      summary: Get all voices for the current organization
      operationId: VoicePublicController_getVoices
      parameters:
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      responses:
        '200':
          description: List of voices for the organization
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VoicePublicDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    VoicePublicDto:
      type: object
      properties:
        id:
          type: string
          description: The ID of the voice
        voiceId:
          type: string
          description: The provider-specific voice ID
        name:
          type: string
          description: The name of the voice
        organizationId:
          type: string
          description: The organization ID that owns this voice
        settings:
          type: object
          description: Additional settings stored in JSON format
          example:
            stability: 0.8
            style: 0.3
        isMultilingual:
          type: boolean
          description: Indicates if the voice supports multiple languages
        supportedLocales:
          description: Array of supported locale strings
          type: array
          items:
            type: string
        ttsClient:
          type: string
          description: Identifier for the TTS (text-to-speech) client
        gender:
          type: string
          description: The gender of the voice
          enum:
            - MALE
            - FEMALE
      required:
        - id
        - voiceId
        - name
        - isMultilingual
        - supportedLocales
        - ttsClient
        - gender
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````